Bug 1282359 - (CVE-2015-5317) CVE-2015-5317 jenkins: Project name disclosure via fingerprints (SECURITY-153)
CVE-2015-5317 jenkins: Project name disclosure via fingerprints (SECURITY-153)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151111,reported=2...
: Security
Depends On:
Blocks: 1282375
  Show dependency treegraph
 
Reported: 2015-11-16 03:54 EST by Martin Prpič
Modified: 2016-03-23 05:13 EDT (History)
14 users (show)

See Also:
Fixed In Version: Jenkins 1.638, Jenkins 1.625.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-22 15:23:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-11-16 03:54:12 EST
The following flaw was found in Jenkins:

The Jenkins UI allowed users to see the names of jobs and builds otherwise inaccessible to them on the "Fingerprints" pages if those shared file fingerprints with fingerprinted files in accessible jobs.

Users have no control over which information they see, and the kind of information revealed is very limited.

External References:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2015-11-11
Comment 1 Martin Prpič 2015-11-16 04:11:16 EST
Fixed in Fedora in:

jenkins-1.609.3-3.fc22
jenkins-1.625.2-2.fc23
jenkins-1.625.2-2.fc24
Comment 3 errata-xmlrpc 2016-01-26 14:17:31 EST
This issue has been addressed in the following products:

  RHEL 7 Version of OpenShift Enterprise 3.1

Via RHSA-2016:0070 https://access.redhat.com/errata/RHSA-2016:0070
Comment 4 errata-xmlrpc 2016-03-22 12:51:35 EDT
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 2.2

Via RHSA-2016:0489 https://rhn.redhat.com/errata/RHSA-2016-0489.html

Note You need to log in before you can comment on or make changes to this bug.